# https://bugzilla.redhat.com/show_bug.cgi?id=1185777
Name:          apache-commons-digester3
Version:       3.2
Release:       1%{?dist}
Summary:       XML to Java object mapping module
License:       ASL 2.0
URL:           http://commons.apache.org/proper/commons-digester/
Source0:       http://www.apache.org/dist/commons/digester/source/commons-digester3-%{version}-src.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(cglib:cglib)
BuildRequires: mvn(commons-beanutils:commons-beanutils)
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.commons:commons-parent:pom:)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires: mvn(org.codehaus.mojo:buildnumber-maven-plugin)

BuildArch:     noarch

%description
Many projects read XML configuration files to provide initialization of
various Java objects within the system. There are several ways of doing this,
and the Digester component was designed to provide a common implementation
that can be used in many different projects.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n commons-digester3-%{version}-src

%pom_remove_plugin org.sonatype.plugins:jarjar-maven-plugin
%pom_remove_plugin :maven-assembly-plugin

# org.apache.maven.wagon:wagon-ssh
%pom_xpath_remove pom:build/pom:extensions
# disable JAR with dep
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-jar-plugin']/pom:executions/pom:execution[pom:id = 'jarjar']"

# Set encoding
%pom_xpath_inject pom:project/pom:properties '
  <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>'

# Disable default-jar execution of maven-jar-plugin, which is causing
# problems with version 3.0.0 of the plugin.
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:executions" "
  <execution>
    <id>default-jar</id>
    <phase>skip</phase>
  </execution>"

# UnknownHostException: commons.apache.org
rm src/test/java/org/apache/commons/digester3/xmlrules/SetNamespaceURITestCase.java

%mvn_file :commons-digester3 commons-digester3 %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc RELEASE-NOTES.txt
%license LICENSE.txt NOTICE.txt 

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Sun Jan 25 2015 gil cattaneo <puntogil@libero.it> 3.2-1
- initial rpm
